# Uses of Class
java.util.concurrent.StructuredTaskScope.ShutdownOnFailure

Packages that use StructuredTaskScope.ShutdownOnFailurePREVIEW
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of StructuredTaskScope.ShutdownOnFailurePREVIEW in java.util.concurrent

Methods in java.util.concurrent that return StructuredTaskScope.ShutdownOnFailurePREVIEW
Modifier and Type
Method
Description
`StructuredTaskScope.ShutdownOnFailurePREVIEW`
StructuredTaskScope.ShutdownOnFailure.`join()`
Wait for all subtasks started in this task scope to complete or for a subtask to failPREVIEW.
`StructuredTaskScope.ShutdownOnFailurePREVIEW`
StructuredTaskScope.ShutdownOnFailure.`joinUntil(Instant deadline)`
Wait for all subtasks started in this task scope to complete or for a subtask to failPREVIEW, up to the given deadline.